#
# spec file for package youtube-dl
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           youtube-dl
Version:        2016.10.07
Release:        1.1
Summary:        A tool for downloading from Youtube
License:        SUSE-Public-Domain and CC-BY-SA-3.0
Group:          Productivity/Networking/Web/Utilities
Url:            http://rg3.github.com/youtube-dl/

#Git-Clone:	git://github.com/rg3/youtube-dl

Source:         http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz
Source2:        http://youtube-dl.org/downloads/%version/%name-%{version}.tar.gz.sig
Source3:        %name.keyring

BuildRequires:  zip python python-xml
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
BuildRequires:  zsh
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
youtube-dl is a small command-line program to retrieve videos from
YouTube.com and a few more sites.

%prep
%{?gpg_verify: %gpg_verify %{SOURCE2}}
%setup -qn %name
%if 0%{?suse_version} == 1310
# make 3.82 behaves differently from 3.81 and 4.0
sed -e '/^SYSCONFDIR/cSYSCONFDIR\ ?=\ %{_sysconfdir}' \
    -e 's/!=\ \(.*\)/:=\ $(\1)/' \
    -i Makefile
%endif

%build
PREFIX=%{_prefix} MANDIR=%{_mandir} make %{?_smp_mflags}

%install
PREFIX=%{_prefix} MANDIR=%{_mandir} make DESTDIR="%buildroot" install

# openSUSE doesn't ship fish shell
rm -rf %{buildroot}/%{_sysconfdir}/fish
%if 0%{?suse_version} == 1110
rm -rf %{buildroot}/%{_datadir}/zsh
rm -rf %{buildroot}/fish
mkdir %{buildroot}/%{_sysconfdir}
mv %{buildroot}/bash_completion.d %{buildroot}%{_sysconfdir}/
%endif

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%_bindir/youtube-dl
%_mandir/man1/*
%config %_sysconfdir/bash_completion.d/
%if 0%{?suse_version} >= 1310
%{_datadir}/zsh/site-functions/_youtube-dl
%endif

%changelog
* Fri Oct  7 2016 joerg.lorenzen@ki.tng.de
- Removed service file because build often fails with 'bad temdir'
  and only sometimes succeeds.
* Fri Oct  7 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.07
* Sun Oct  2 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.10.02
* Thu Sep 29 2016 idonmez@suse.com
- Updated to version 2016.09.27
* Tue Sep 27 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.27
* Fri Sep 23 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.24
* Sun Sep 18 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.19
* Sun Sep 18 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.18
* Thu Sep 15 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.15
* Sun Sep 11 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.11.1
* Thu Sep  8 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.09.08
* Sun Aug  7 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.07
* Fri Aug  5 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.06
* Mon Aug  1 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.08.01
* Sat Jul 30 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.30
* Thu Jul 28 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.28
* Tue Jul 26 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.26.2
* Sun Jul 24 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.24
* Fri Jul 22 2016 Mathias.Homann@opensuse.org
- Updated to version 2016.07.22
* Mon May  9 2016 aloisio@gmx.com
- Fixed build for SLE11 and 13.1
- Spec cleanup
* Sat Mar  8 2014 lemmy04@opensuse.org
  Updates:
- changed version number formatting to be the same as on openSUSE build service, based on release version number from upstream
- changed package to download source and sigfile, and generate version number from downloaded files as well
- to rebuild with latest version: osc service rr
  IMPORTANT: from now on the package changelog will not be updated between versions.
  For current changes, see upstream:
  https://github.com/rg3/youtube-dl/commits/master
* Sat Mar  8 2014 lemmy04@opensuse.org
- Update: 2014.03.07.1
* Wed Mar  5 2014 lemmy04@opensuse.org
- update to 2014.03.04.2
* Fri Feb 28 2014 lemmy04@opensuse.org
- update to 2014.02.28
* Sat Feb 22 2014 Mathias.Homann@opensuse.org
- update to 2014.02.21.1
* Thu Feb 20 2014 Mathias.Homann@opensuse.org
- update to 20140220
- added: gpg verification of source tarballs
* Tue Aug  6 2013 pascal.bleser@opensuse.org
- update to 20130802
* Thu Oct 11 2012 pascal.bleser@opensuse.org
- update to 20121009, makes it work again
* Fri Aug  5 2011 pascal.bleser@opensuse.org
- update to 20110804:
  * makes YouTube videos work again after the recent changes in that site
* Tue Mar 29 2011 pascal.bleser@opensuse.org
- update to 20110329:
  * fixes a program crash that was happening with certain YouTube videos
  * fixes the date extraction regular expression in YouTube
* Sat Feb 26 2011 pascal.bleser@opensuse.org
- update to 20110225c:
  * adds support for Facebook videos
  * improves support for YouTube playlists
  * adds support for YouTube artist playlists
  * adds --extract-audio, to convert video files to audio-only files using
  * ffmpeg
  * a few minor bugs have been fixed
* Thu Dec  9 2010 pascal.bleser@opensuse.org
- update to 20101209:
  * fixes support for YouTube after the recent site changes that broke the program
  * adds support for depositfiles.com
  * fixes a few minor bugs
  * adds a few minor features
* Sat Nov 20 2010 pascal.bleser@opensuse.org
- update to 20101119:
  * adds the --playlist-end and --autonumber options
  * adds the upload_date output template parameter
  * fixes problems regarding RTMP downloads
* Sun Oct 24 2010 pascal@links2linux.de
- update to 20101024:
  * fixes several issues
  * adds a new --cookies option to be able to load and save cookies from a Netscape format cookie file
* Mon Oct  4 2010 pascal@links2linux.de
- update to 20101003:
  * fixes issues with Dailymotion and metacafe.com downloads, among other minor problems and small glitches
* Wed Aug  4 2010 pascal@links2linux.de
- update to 20100804:
  * fixes metacafe.com support to make it work again
  * solves a few problems when resuming downloads from YouTube
  * adds the --playlist-start option
* Sat Jul 24 2010 pascal@links2linux.de
- update to 20100724:
  * fixes a good amount of outstanding bugs introduced with the rewrite of YouTube support code in the previous release
* Fri Jul 23 2010 pascal@links2linux.de
- update to 20100722:
  * fixes the program to make it work again with YouTube after the recent site changes
  * the way the program works with this site has been changed a bit
  * the --best-quality flag has been removed as it is the default behavior now
* Wed Jul 14 2010 pascal@links2linux.de
- update to 20100714:
  * adds preliminary support for Dailymotion videos
  * improves support for WebM in YouTube
  * adds support for the "original" video format in YouTube
  * adds a --max-quality option
  * adds support for youtu.be URLs
  * bugfixes
* Sun Jun  6 2010 pascal@links2linux.de
- update to 20100606:
  * fixes several outstanding problems
  * improves support for RTMP downloads in YouTube
  * adds a few new options
  * initial support for WebM
* Mon Apr  5 2010 pascal@links2linux.de
- update to 20100404:
  * fixes issues with Vevo videos in YouTube
* Fri Apr  2 2010 pascal@links2linux.de
- update to 20100402:
  * fixes the recent "Invalid parameters" error that YouTube was issuing when the video information page was being requested
  * support for Vevo videos appears to be partly broken and will not be fixed in this release
  * Yahoo! Video is now supported
- changes from 20100313:
  * fixes the behavior of the program with the -g option
* Sun Mar  7 2010 pascal@links2linux.de
- update to 20100307:
  * fixes several reported issues
  * adds the --no-progress option
* Wed Jan 20 2010 pascal.bleser@opensuse.org
- update to 20100119:
  * improves rtmpdump support
  * adds support for Google Video and Photobucket
* Wed Jan  6 2010 pascal.bleser@opensuse.org
- update to 20100106:
  * fix on Python versions prior to 2.6
* Tue Jan  5 2010 pascal.bleser@opensuse.org
- update to 20100105:
  * adds initial support for downloading videos that are served using RTMP (requires "rtmpdump")
* Sun Dec 27 2009 pascal.bleser@opensuse.org
- update to 20091226:
  * adds support for the new video format 37 into account
  * fixes metacafe.com downloads
  * fixes several bugs related to encoding and resumed downloads
* Tue Sep  8 2009 pascal.bleser@opensuse.org
- update to 20090908:
  * fixes a problem with YouTube searches that made the program download the first page of search results only
  * the -b flag falls back to not specifying any format when it reaches the end of the format list
  * YouTube playlists can now be specified in "my_playlist" format too
* Sat Aug  8 2009 pascal.bleser@opensuse.org
- update to 20090808:
  * makes the program work again with metacafe.com videos
  * works around the YouTube captcha problem
  * features some other minor changes and bugfixes
* Mon May 11 2009 pascal.bleser@opensuse.org
- update to 20090511:
  * bugfixes
  * improved help text
  * return of the -b or --best-quality option
* Sun Apr 26 2009 pascal.bleser@opensuse.org
- update to 20090425:
  * fixes downloading of metacafe.com videos
  * videos are now downloaded immediately after downloading their information
* Tue Apr  7 2009 pascal.bleser@opensuse.org
- update to 20090406:
  * solves a bug that resulted in an unhandled KeyError exception when the
    video title had some special character sequences in it
* Sat Mar 28 2009 pascal.bleser@opensuse.org
- update to 2009.03.28:
  * fixes the code that sets the language
  * removes the --best-quality option
  * adds a --high-def option
  * HD videos are now saved with the right file name extension
* Tue Feb 10 2009 guru@unixtech.be
- update to 20090207:
  * adds the -w option to indicate that no file should be overwritten
  * adds a YouTube search InfoExtractor that lets the user download
  search results without indicating any specific video
* Sun Feb  1 2009 guru@unixtech.be
- update to 20090131:
  * fixes the authentication and download problems due to the recent YouTube
    internationalization changes
  * adds the -a or --batch-file option to specify a file containing URLs to
    download
* Sat Nov  1 2008 guru@unixtech.be
- update to 20081101
* Fri Oct 17 2008 guru@unixtech.be
- update to 20081016:
  * fixes problems with the login mechanism of YouTube not working when using
    the program from some countries
* Sun Sep 21 2008 guru@unixtech.be
- update to 20080920:
  * fixes the metacafe.com support
  * mitigates the UTF-8 filename problem in the majority of cases
* Sat Aug  9 2008 guru@unixtech.be
- new upstream version:
  * minor improvements to make the extraction of information from YouTube more
    resistant to internationalization problems: apparently, YouTube insists in
    sending localized versions of its Web pages (even if you request them to
    be in English) when you access the Web site from specific countries, which
    made the program fail for people living in these countries
  * a PostProcessing framework has been included to ease extending the program
    to perform further tasks after downloading the video files
* Sat Jul 26 2008 guru@unixtech.be
- new upstream version:
  * fixes a bug in the Unicode video title treatment
  * fixes output templates referencing absolute paths
  * add being able to download videos from metacafe.com and YouTube playlists
* Wed Jul 23 2008 guru@unixtech.be
- added version check, as the Source link has no version in its URL
- license changed to Public Domain
- new upstream version:
  * complete rewrite from scratch
* Sat Jun 14 2008 guru@unixtech.be
- new upstream version
* Thu Jan 24 2008 guru@unixtech.be
- added Authors
- update to 2008.01.24
* Sat Oct 13 2007 guru@unixtech.be
- update to 2007.10.12
* Tue Oct  9 2007 guru@unixtech.be
- update to 2007.10.09
* Sat Sep 29 2007 guru@unixtech.be
- new package
